$padding: 48px;

.inner {
  padding: $padding;
  position: relative;
  margin: 16px 0;

  .header {

    .avatar-icon {
      width: 100px;
      height: 100px;
      font-size: 100px;
    }

  }

  .content {
    width: 256px + $padding;
    max-width: calc(100vw - #{$padding * 2} - 16px);

    .username-input, .password-input {
      width: 100%;

      .prefix-icon {
        width: 24px;
        height: 24px;
        display: flex;
        justify-content: center;
        align-items: center;
      }

      ::ng-deep .mat-form-field-prefix {
        align-self: flex-end;
        margin: 4px;
      }

    }

    [type="submit"] {
      width: 128px;
      text-transform: uppercase;
    }

  }

  .sub-controls > * {
    margin-bottom: 8px;
  }

  .loading-bar {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    top: auto;
  }

}
